Loading...
Searching...
No Matches
TimePattern.cpp File Reference
`#include <cstdlib>`
`#include <ctime>`
`#include <hueplusplus/HueExceptionMacro.h>`
`#include <hueplusplus/TimePattern.h>`
Include dependency graph for TimePattern.cpp:

## Namespaces

namespace | hueplusplus
| Namespace for the hueplusplus library.
namespace | hueplusplus::time
| Namespace for time/date related classes and functions.

## Functions

std::string | hueplusplus::time::timepointToTimestamp (std::chrono::system_clock::time_point time)
| Converts a time_point to a timestamp string.
std::chrono::system_clock::time_point | hueplusplus::time::parseTimestamp (const std::string &timestamp)
| Converts a timestamp to a time_point.
std::chrono::system_clock::time_point | hueplusplus::time::parseUTCTimestamp (const std::string &timestamp)
| Converts an UTC timestamp to a time_point.
std::string | hueplusplus::time::durationTo_hh_mm_ss (std::chrono::system_clock::duration duration)
| Converts duration to a time string.
std::chrono::system_clock::duration | hueplusplus::time::parseDuration (const std::string &hourMinSec)
| Converts time string to a duration.

## Detailed Description

Copyright Notice
Copyright (C) 2020 Jan Rogall - developer
This file is part of hueplusplus.

hueplusplus is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

hueplusplus is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with hueplusplus. If not, see http://www.gnu.org/licenses/.